# Get Attribute Set Metadata

Returns the public metadata of the Attribute Set model as a JSON schema document describing the resources (Product, Variant) associated to the Attribute Set and the relationships between them. Use it to build requests against the various methods of the API.

Endpoint: GET /AttributeSets/$metadata
Version: 2.0.0

## Header parameters:

  - `X-API-KEY` (string)
    Tenant's API key

## Response 200 fields (application/json):

  - `readLink` (object)

  - `readLink.uri` (string,null)

  - `value` (any,null)

## Response 400 fields (application/json):

  - `validationFailures` (object,null)
    Example: {"Layout":[{"PropertyName":"Layout","ErrorMessage":"The layout must contain exactly the attributes of the stored layout. Missing: tags. Unknown: extra_field.","AttemptedValue":null}]}

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 500 fields (application/json):

  - `error` (string,null)

  - `details` (any,null)


